#
# Conditional build:
%bcond_without	apidocs		# API documentation
%bcond_without	duktape		# Duktape pacrunner plugin
%bcond_without	kde		# KDE 4/5 config plugin

Summary:	Library for automatic proxy configuration management
Summary(pl.UTF-8):	Biblioteka do automatycznego zarządzania konfiguracją proxy
Name:		libproxy
Version:	0.5.10
Release:	1
License:	LGPL v2.1+
Group:		Libraries
#Source0Download: https://github.com/libproxy/libproxy/releases
Source0:	https://github.com/libproxy/libproxy/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	efb82820b5b914ebff92c0c7b06cb1e0
URL:		https://libproxy.github.io/libproxy/
BuildRequires:	curl-devel
%{?with_duktape:BuildRequires:	duktape-devel}
%{?with_apidocs:BuildRequires:	gi-docgen}
BuildRequires:	glib2-devel >= 1:2.71.3
BuildRequires:	gobject-introspection-devel
BuildRequires:	gsettings-desktop-schemas-devel
BuildRequires:	meson >= 0.59.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 2.042
BuildRequires:	sed >= 4.0
BuildRequires:	vala
Requires:	glib2 >= 1:2.71.3
Obsoletes:	dotnet-libproxy-sharp < 0.5.9
Obsoletes:	dotnet-libproxy-sharp-devel < 0.5.9
Obsoletes:	libproxy-duktape < 0.5.9
Obsoletes:	libproxy-gnome < 0.5.9
Obsoletes:	libproxy-kde < 0.5.9
Obsoletes:	libproxy-mozjs < 0.5.9
Obsoletes:	libproxy-networkmanager < 0.5.9
Obsoletes:	libproxy-pacrunner < 0.5.9
Obsoletes:	libproxy-webkit < 0.5.9
Obsoletes:	perl-Net-Libproxy < 0.5.9
Obsoletes:	python-libproxy < 0.5.9
Obsoletes:	python3-libproxy < 0.5.9
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Library for automatic proxy configuration management.

%description -l pl.UTF-8
Biblioteka do automatycznego zarządzania konfiguracją proxy.

%package devel
Summary:	Header files for libproxy library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libproxy
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.71.3
Requires:	libstdc++-devel
Obsoletes:	libproxy-static < 0.4

%description devel
Header files for libproxy library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libproxy.

%package -n vala-libproxy
Summary:	Vala bindings for libproxy API
Summary(pl.UTF-8):	Wiązania API libproxy dla języka Vala
Group:		Development/Languages
Requires:	%{name}-devel = %{version}-%{release}
BuildArch:	noarch

%description -n vala-libproxy
Vala bindings for libproxy API.

%description -n vala-libproxy -l pl.UTF-8
Wiązania API libproxy dla języka Vala.

%package apidocs
Summary:	API documentation for libproxy library
Summary(pl.UTF-8):	Dokumentacja API biblioteki libproxy
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for libproxy library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libproxy.

%prep
%setup -q

%build
%meson \
	%{!?with_kde:-Dconfig-kde=false} \
	%{!?with_apidocs:-Ddocs=false} \
	%{!?with_duktape:-Dpacrunner-duktape=false} \
	-Drelease=true \
	-Dvapi=true

%meson_build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install

%if %{with apidocs}
install -d $RPM_BUILD_ROOT%{_gidocdir}
%{__mv} $RPM_BUILD_ROOT%{_docdir}/libproxy-1.0 $RPM_BUILD_ROOT%{_gidocdir}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.md SECURITY.md
%attr(755,root,root) %{_bindir}/proxy
%attr(755,root,root) %{_libdir}/libproxy.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libproxy.so.1
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/libpxbackend-1.0.so
%{_libdir}/girepository-1.0/Libproxy-1.0.typelib
%{_mandir}/man8/proxy.8*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libproxy.so
%{_includedir}/libproxy
%{_pkgconfigdir}/libproxy-1.0.pc
%{_datadir}/gir-1.0/Libproxy-1.0.gir

%files -n vala-libproxy
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/libproxy-1.0.vapi
%{_datadir}/vala/vapi/libproxy-1.0.deps

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gidocdir}/libproxy-1.0
%endif
%changelog
* Wed Jul 02 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libproxy.git;a=log;h=master

* Wed Jul 02 2025 Jakub Bogusz <qboosh@pld-linux.org> 325a204
- updated to 0.5.10

* Thu Jun 05 2025 Jan Palus <atler@pld-linux.org> 48f6db9
- use new meson macros

* Sat Feb 01 2025 Jan Palus <atler@pld-linux.org> 6634c4e
- update deps

* Mon Jan 27 2025 Jakub Bogusz <qboosh@pld-linux.org> 37528ea
- release 2

* Sun Jan 26 2025 Jakub Bogusz <qboosh@pld-linux.org> 2fef83b
- added -apidocs, updated dependencies

* Sat Jan 25 2025 Jan Rękorajski <baggins@pld-linux.org> 15a436a
- updated to 0.5.9
- perl/python/mozjs/etc. support removed upstream
- plugins are now buils as a single library (libpxbackend)

* Wed Jul 03 2024 Jan Palus <atler@pld-linux.org> 84e33ac
- correct bcond for -networkmanager %files

* Sat Jun 29 2024 Jan Palus <atler@pld-linux.org> a0df651
- perl 5.40.0 rebuild

* Wed Apr 03 2024 Marcin Krol <hawk@tld-linux.org> b3eb14b
- bcond for NetworkManager module

* Wed Apr 03 2024 Marcin Krol <hawk@tld-linux.org> 5355ff4
- bconds for python2/python3 bindings

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 7cbef0d
- perl 5.38.0 rebuild

* Mon Feb 27 2023 Jakub Bogusz <qboosh@pld-linux.org> fa4ff52
- updated to 0.4.18, introduced duktape pacrunner

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 4e3ea48
- perl 5.36.0 rebuild

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 511854d
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> a7ca9f8
- rebuild with python 3.10

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 1e567f9
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> c6ea665
- rebuild with perl 5.32

* Sun Mar 07 2021 Jan Rękorajski <baggins@pld-linux.org> d253481
- unconditional noarch subpackages

* Fri Mar 05 2021 Jan Rękorajski <baggins@pld-linux.org> a0ee6fe
- release 2 (by relup.sh)

* Fri Mar 05 2021 Jan Rękorajski <baggins@pld-linux.org> b85d3c4
- remove bogus BR

